- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Deployment::NodeApplication Interface Reference

`import "Deployment_Core.idl";`

Inheritance diagram for Deployment::NodeApplication:

[legend]
Collaboration diagram for Deployment::NodeApplication:

[legend]
List of all members.

## Public Member Functions
long | init ()
ComponentInfos | install (in NodeImplementationInfo node_impl_info) raises (UnknownImplId, ImplEntryPointNotFound, InstallationFailure, ::Components::InvalidConfiguration, ::Components::RemoveFailure)
CIAO_Event_Services | install_es (in ESInstallationInfos es_infos) raises (InstallationFailure)
Object | get_node_application_manager ()
Container | create_container (in::Deployment::Properties properties) raises (::Components::CreateFailure, ::Components::InvalidConfiguration)
| CIAO specific extension.
void | remove_container (in Container cref) raises (::Components::RemoveFailure)
| CIAO specific extension.
Containers | get_containers ()
| CIAO specific extension.
void | remove_component (in string inst_name) raises (::Components::RemoveFailure)
oneway void | remove ()
void | ciao_preactivate () raises (StartError)
void | ciao_postactivate () raises (StartError)
| CIAO specific extension.
void | ciao_passivate () raises (StopError)
| CIAO specific extension.
## Public Attributes
readonly attribute::Deployment::Properties | properties

## Member Function Documentation

void Deployment::NodeApplication::ciao_passivate | ( |  | ) | raises (StopError)

CIAO specific extension.

void Deployment::NodeApplication::ciao_postactivate | ( |  | ) | raises (StartError)

CIAO specific extension.

void Deployment::NodeApplication::ciao_preactivate | ( |  | ) | raises (StartError)

CIAO specific extension. This will enforce the component to be activated (preactivate, activate, postactivated) before the assembly is established

Container Deployment::NodeApplication::create_container | ( | in::Deployment::Properties | properties | ) | raises (::Components::CreateFailure, ::Components::InvalidConfiguration)

CIAO specific extension.

Containers Deployment::NodeApplication::get_containers | ( |  | ) |

CIAO specific extension.

Object Deployment::NodeApplication::get_node_application_manager | ( |  | ) |

CIAO specific extensions @ We know that Deployment::NodeApplicationManager will be returned, however to avoid the size of the shared object of CIAO_Server. we return an Object.

long Deployment::NodeApplication::init | ( |  | ) |

CIAO specific operation to handle dynamic system redeployment and reconfiguration @ Initialize the nodeapplication, so it will know what components it will create and home many of them are there. However the real create action will take place when start launch is called on NodeApplicationManager.

ComponentInfos Deployment::NodeApplication::install | ( | in NodeImplementationInfo | node_impl_info | ) | raises (UnknownImplId, ImplEntryPointNotFound, InstallationFailure, ::Components::InvalidConfiguration, ::Components::RemoveFailure)

@ This operation will be called by NodeApplicationManager client to really start to create homes and components.

CIAO_Event_Services Deployment::NodeApplication::install_es | ( | in ESInstallationInfos | es_infos | ) | raises (InstallationFailure)

CIAO specific extension This operation will create one or more CIAO_Event_Service objects within the NodeApplication, which will be used to mediate the communication of CCM events

oneway void Deployment::NodeApplication::remove | ( |  | ) |

CIAO specific extension Remove all containers, components and component homes. Shuts down the ORB of the NodeApplication to terminate the process.

void Deployment::NodeApplication::remove_component | ( | in string | inst_name | ) | raises (::Components::RemoveFailure)

CIAO specific extension Remove a component instance from the NodeApplication

void Deployment::NodeApplication::remove_container | ( | in Container | cref | ) | raises (::Components::RemoveFailure)

CIAO specific extension.

## Member Data Documentation

readonly attribute ::Deployment::Properties Deployment::NodeApplication::properties

The documentation for this interface was generated from the following file:

- Deployment_Core.idl